class_name Player
extends CharacterBody2D

@export var current_tool : DataTypes.Tools = DataTypes.Tools.None

var player_direction : Vector2


func _process(delta: float) -> void:
	if Input.is_action_pressed("tool_none"):
		current_tool = DataTypes.Tools.None
	if Input.is_action_pressed("tool_axe"):
		current_tool = DataTypes.Tools.AxeWood
	if Input.is_action_pressed("tool_tilling"):
		current_tool = DataTypes.Tools.TillGround
	if Input.is_action_pressed("tool_water"):
		current_tool = DataTypes.Tools.WaterCrops
